import React, { FunctionComponent, ReactNode } from 'react';
import { PictureRef } from './Picture';
import { ModalProps } from '../modal/interface';
export interface PictureContextValue {
    registerPicture(index: number, pictureRef: PictureRef): any;
    unRegisterPicture(index: number, pictureRef: PictureRef): any;
    preview(index: number, modalProps?: ModalProps): any;
}
export interface PictureProviderProps {
    children?: ReactNode;
    modalProps?: ModalProps;
}
declare const PictureContext: React.Context<PictureContextValue | undefined>;
export default PictureContext;
export declare const PictureProvider: FunctionComponent<PictureProviderProps>;
